package com.hotent.base.jms;

/**
 * jms生产者
 * <pre>
 * 队列消息的发送者
 * </pre>
 * @company 广州宏天软件股份有限公司
 * @author heyifan
 * @email heyf@jee-soft.cn
 * @date 2018年6月29日
 */
public interface JmsNoticeConsumerService {
	/**
	 * 将Notic放到队列中，再进行处理（解决流程通过feign调用portal来发送通知时耗时太长的问题）
	 * @param notice
	 */
	void sendNotice2Jms(Notice notice);

	/**
	 * 通过模板发送消息
	 * @param notice
	 */
	void sendNotice(Notice notice);

    void addSysLogs(String id, String opeName, String executor, String ip, String logType, String moduleType, String reqUrl, String opeContent);
}
